## RepeatRule

Description

Located in /inc/RRule-v2.php (line 152)

Method Summary
static void date_mask ( $date, $y, $mo, $d, $h, $mi, $s)
RepeatRule __construct ( $basedate, $rrule)
void current ()
void key ()
void next ()
void rewind ()
void set_timezone ( $tzstring)
void Start ()
void valid ()
Methods
static date_mask (line 307)

- access: public

void date_mask ( $date, $y, $mo, $d, $h, $mi, $s)

- $date
- $y
- $mo
- $d
- $h
- $mi
- $s

Constructor __construct (line 176)

- access: public

RepeatRule __construct ( $basedate, $rrule)

- $basedate
- $rrule

current (line 239)

- access: public

void current ()
key (line 248)

- access: public

void key ()
next (line 233)

- access: public

void next ()
rewind (line 228)

- access: public

void rewind ()
set_timezone (line 215)

- access: public

void set_timezone ( $tzstring)

- $tzstring

Start (line 220)

- access: public

void Start ()
valid (line 258)

- access: public

void valid ()

Documentation generated on Thu, 25 Feb 2010 11:39:21 +1300 by phpDocumentor 1.3.2